require "rails_helper"

RSpec.describe PrintSettingsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/print_settings").to route_to("print_settings#index")
    end

    it "routes to #new" do
      expect(:get => "/print_settings/new").to route_to("print_settings#new")
    end

    it "routes to #show" do
      expect(:get => "/print_settings/1").to route_to("print_settings#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/print_settings/1/edit").to route_to("print_settings#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/print_settings").to route_to("print_settings#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/print_settings/1").to route_to("print_settings#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/print_settings/1").to route_to("print_settings#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/print_settings/1").to route_to("print_settings#destroy", :id => "1")
    end

  end
end
